Web lists-archives.com

Re: apt{-cache,-get,itude} show wrong version of package after update




On 2018-03-28 02:50, Jean-Baptiste Thomas wrote:
After apt-get update, attempting to install ntp tries to
download version 1:4.2.8p10+dfsg-3+deb9u1 and fails. It tries
to download +deb9u1 because

   $ aptitude show ntp
   Package: ntp
   Version: 1:4.2.8p10+dfsg-3+deb9u1
   State: not installed
   [...]

and it fails because the version of the package in the Debian 9
mirror listed in /etc/apt/sources.list is +deb9u2 :

How is this possible ? I'm confused.

Try running:
sudo apt-get update # one more time, to be sure
# then
apt-cache policy ntp

and see what version it refers to.

--
John